/* AlertPanel.h
 * Written By:  Thomas Burkholder
 *
 * You may freely copy, distribute, and reuse the code in this example.
 * NeXT disclaims any warranty of any kind, expressed or  implied, as to its
 * fitness for any particular use.
 */


#import <AppKit/AppKit.h>

// A subclass of Panel having all the usual UI pieces that we expect.
@interface FTAlertPanel:NSPanel
{
	id alert;
	id first;
	id iconButton;
	id message;
	id second;
	id third;

	int lastResult;
}

- (void) buttonPressed:sender;
- (int) lastResult;
- (void) run:sender;
- alert;
- first;
- iconButton;
- message;
- second;
- third;

@end
