/* indent:4  tabsize:8  font:fixed-width */


/*---------------------------------------------------------------------------
| ---------------------------------------------------------------------------
|
|    DrawPileDelegate : NSObject
|
| ----------------------------------------------------------------------------
\----------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>

@class CardPileView;
@class CardPile;
@class Card;


@interface DrawPileDelegate : NSObject
{
    CardPileView*	discardCardPileView;
    CardPile* 		recycleCardPile;
    int				maxIndex;
}

/*----------------------------------------------------------------------------
|
|    CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (void) setDiscardCardPileView:(CardPileView*)theView;
- (void) setDrawCardCount:(int)theCount;
- (void) clickedCard:(Card*)aCard in:(CardPileView*)drawCardPileView;

@end

