/* indent:4  tabsize:8  font:fixed-width */


/*--------------------------------------------------------------------------
| --------------------------------------------------------------------------
|
|    TenpileSuitDelegate : NSObject
|
|    << Description >>
|
| --------------------------------------------------------------------------
\---------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>

@class CardPile;
@class CardPileView;


@interface TenpileSuitDelegate : NSObject
{
    BOOL doubleClickCheck;
}

/*----------------------------------------------------------------------------
|
|    CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (void) setDoubleClickCheck;
- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)aCardPileView;
- (void) acceptPile:(CardPile*)aCardPile in:(CardPileView*)aCardPileView;

@end
