/* indent:4  tabsize:8  font:fixed-width */

/*---------------------------------------------------------------------------
| ---------------------------------------------------------------------------
|
|    SpiderGameDelegate :Object
|
|    << Description >>
|
| ---------------------------------------------------------------------------
\---------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>
#import <Solitaire/CardSet.h>

@class Card;
@class CardPile;
@class CardPileView;


@interface SpiderGameDelegate : NSObject
{
}

/*----------------------------------------------------------------------------
|
|    CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (void) clickedCard:(Card*)aCard in:(CardPileView*)aCardPileView;
- (BOOL) draggedPile:(CardPile*)aCardPile from:(CardPileView*)discardCardPileView;
- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)aCardPileView;
- (void) getOffset:(float*)xOffset :(float*)yOffset forSize:(CardSize)aSize;

@end

